/*************************************************************************
  IBM C/C++ Tools Version 3.00 - Collection Class Library
 (C) Copyright IBM Corporation 1992 ,1995, Licensed Program-Property of
 IBM.  All Rights Reserved.  US Government Users Restricted Rights - Use,
 duplication or disclosure restricted by GSA ADP Schedule Contract with
 IBM Corp.
 *************************************************************************/


extern "C"
{
   #define INCL_WINERRORS
   #define INCL_DOSMODULEMGR
   #define INCL_DOSFILEMGR
   #define INCL_DOSMISC
   #define INCL_WINWINDOWMGR
   #include <os2.h>
   #include <stdlib.h>
}


#include <string.h>
#include <ibexctxt.h>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IBEXCTXT_CPP_
  #include <ipagetun.h>
#endif

// Define the Environment variable used to load the resouces
// and a default if one is not found.

static const char
 *defaultMsgFile = "DDE4C01E.MSG",
 *msgFileVar  = "ICLCCMSG";


ICollectionExceptionText::ICollectionExceptionText (unsigned long resid)
{
  const char *pMsgFileName;


  pMsgFileName = getenv( msgFileVar );
  if ( !pMsgFileName )
    pMsgFileName = defaultMsgFile;


  ivMsgTxt = new IMessageText (resid, pMsgFileName);

  if (ivMsgTxt != 0) {

    switch (resid) {
      case IChildAlreadyExistsText:
        ivMsgTxt->setDefaultText ("child already exists");
        break;
      case ICollectionIsEmptyText :
        ivMsgTxt->setDefaultText ("collection is empty");
        break;
      case ICursorNotContainedText:
        ivMsgTxt->setDefaultText ("cursor not contained in collection");
        break;
      case  ICursorNotForGivenText :
        ivMsgTxt->setDefaultText ("cursor not for given collection");
        break;
      case  ICursorNotForThisText:
        ivMsgTxt->setDefaultText ("cursor not for this collection");
        break;
      case  IIdenticalCollectionText:
        ivMsgTxt->setDefaultText ("identical collection");
        break;
      case IInvalidCursorText :
        ivMsgTxt->setDefaultText ("invalid cursor");
        break;
      case IInvalidPositionText :
        ivMsgTxt->setDefaultText ("invalid position");
        break;
      case IInvalidReplacementText :
        ivMsgTxt->setDefaultText ("invalid replacement");
        break;
      case IKeyAlreadyExistsText  :
        ivMsgTxt->setDefaultText ("key already exists");
        break;
      case IKeyNotContainedText  :
        ivMsgTxt->setDefaultText ("key not contained");
        break;
      case INotBoundedText :
        ivMsgTxt->setDefaultText ("collection is unbounded");
        break;
      case IRootAlreadyExistsText :
        ivMsgTxt->setDefaultText ("root already exists");
        break;
      case ICyclicAttachText :
        ivMsgTxt->setDefaultText ("cyclic child attachment");
        break;
      default:
        ivMsgTxt->setDefaultText ("unknown exception text");
    }
  }
}
