/*******************************************************************************
* FILE NAME: iobservr.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of classes/functions declared        *
*   in iobservr.hpp.                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <iobservr.hpp>
#include <inotify.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IOBSERVR_CPP_
  #include <ipagetun.h>
#endif

// ctor/dtor for page tuning
IObserver::~IObserver() {}
IObserver::IObserver() {}

/*------------------------------------------------------------------------------
| IObserver::handleNotificationsFor                                            |
|                                                                              |
| Attach the handler to the specified notifier                                 |
------------------------------------------------------------------------------*/
IObserver& IObserver::handleNotificationsFor( INotifier&        aNotifier,
                                              const IEventData& userData )
{
  aNotifier.addObserver( *this, userData );
  return *this;
}

/*------------------------------------------------------------------------------
| IObserver::stopHandlingNotificationsFor                                              |
|                                                                              |
| Detach the handler from the specified window.                                |
------------------------------------------------------------------------------*/
IObserver& IObserver::stopHandlingNotificationsFor( INotifier& aNotifier )
{
  aNotifier.removeObserver( *this );
  return *this;
}
