/*******************************************************************************
* FILE NAME: immsequ.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of classes/functions declared        *
*   in immsequ.hpp                                                             *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// Priority INT_MIN (-2147483647 - 1) + 1024 + 512
#pragma priority( -2147482112 )
extern "C"
   {
   #include <string.h>
   #define INCL_MCIOS2
   #define IC_MULTIMEDIA
   #include <iwindefs.h>
   }

#ifndef _ITRACE_
   #include <itrace.hpp>
#endif

#include <immsequ.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IMMSEQU_CPP_
  #include <ipagetun.h>
#endif

/*------------------------------------------------------------------------------
| IMMSequencer::IMMSequencer                                                   |
| This constructor creates a new device object.                                |
|                                                                              |
------------------------------------------------------------------------------*/
IMMSequencer::IMMSequencer( Boolean openNow,
                            unsigned long instance,
                            Boolean openShareable)
            : IMMFileMedia("Sequencer", openNow, instance, openShareable)
{ }

/*------------------------------------------------------------------------------
| IMMSequencer::~IMMSequencer                                                  |
| Virtual destructor - nothing special needed as parent does cleanup.          |
|                                                                              |
------------------------------------------------------------------------------*/
IMMSequencer::~IMMSequencer()
{ }

/*------------------------------------------------------------------------------
| IMMSequencer::isOpenStringValid                                              |
| Returns true if the string passed in is valid for this device.               |
|                                                                              |
------------------------------------------------------------------------------*/
Boolean IMMSequencer::isOpenStringValid(const IString &deviceName) const
{
  IString tester(deviceName);
  return (tester.upperCase().indexOf("SEQUENCER") == 1 ? true : false);
}

/*------------------------------------------------------------------------------
| IMMSequencer::IMMSequencer                                                   |
| This constructor wrappers an existing device, and gives a derived class the  |
| ability to specify a desired alias (instead of ICLUI generating it).         |
------------------------------------------------------------------------------*/
IMMSequencer::IMMSequencer(unsigned long newDeviceId,
                           const IString &newAlias)
            : IMMFileMedia(newDeviceId, newAlias)
{ }
