/*******************************************************************************
* FILE NAME: ibappob6.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of functions that have been replaced *
*   and are now obsolete.  They have been placed here to provide compatibility *
*   with prior releases.                                                       *
*   This is a platform independent file.                                       *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
extern "C"
{
  #define INCL_WINFRAMEMGR
  #define INCL_WINHELP
  #define INCL_WINMENUS
  #define INCL_NLS
  #include <iwindefs.h>
}


#include <iframe.hpp>
#include <iframprv.hpp>
#include <iexcept.hpp>
#include <icolor.hpp>
#include <isubmenu.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IBAPPOB6_CPP_
  #include <ipagetun.h>
#endif

#if (IC_OBSOLETE <= IC_OBSOLETE_1)
//
// Block of obsolete code.  Obsolete level 1
//

/*------------------------------------------------------------------------------
| ISubmenu::addAt                                                              |
------------------------------------------------------------------------------*/
ISubmenu& ISubmenu::addAt( IMenuItem&  menuItem, Cursor&   cursor)
{
   return add(menuItem, cursor);
}

/*------------------------------------------------------------------------------
| ISubmenu::addNextAt                                                          |
------------------------------------------------------------------------------*/
ISubmenu& ISubmenu::addNextAt ( IMenuItem&  menuItem, Cursor&   cursor)
{
   return addAsNext( menuItem, cursor);
}

/*------------------------------------------------------------------------------
| ISubmenu::addAt                                                              |
------------------------------------------------------------------------------*/
ISubmenu& ISubmenu::addAt ( IMenuItem&  menuItem, IMenu::Cursor&   cursor)
{
   ITHROWLIBRARYERROR1(IC_MEMBER_ACCESS_ERROR,
                       IErrorInfo::invalidRequest,
                       IException::recoverable,
                       "ISubmenu");
   return *this;
}

/*------------------------------------------------------------------------------
| ISubmenu::addNextAt                                                          |
------------------------------------------------------------------------------*/
ISubmenu& ISubmenu::addNextAt ( IMenuItem&  menuItem, IMenu::Cursor&   cursor)
{
   ITHROWLIBRARYERROR1(IC_MEMBER_ACCESS_ERROR,
                       IErrorInfo::invalidRequest,
                       IException::recoverable,
                       "ISubmenu");
   return *this;
}

//
// End block of obsolete code.  Obsolete level 1
//

#endif // IC_OBSOLETE
