/*******************************************************************************
* FILE NAME: ibctlob4.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of functions that have been replaced *
*   and are now obsolete.  They have been placed here to provide compatibility *
*   with prior releases.                                                       *
*   This is OS/2 and Windows unique code.                                      *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
extern "C"
  {
  #define INCL_WINSTDSPIN
  #define INCL_WINSYS
  #define INCL_WINBUTTONS
  #define INCL_WINSTDBOOK
  #define INCL_WINDIALOGS           // Needed for PDLGTEMPLATE in BOOKPAGEINFO
  #include <os2.h>
  }


#include <icconst.h>
#include <imle.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IBCTLOB4_CPP_
  #include <ipagetun.h>
#endif

#if (IC_OBSOLETE <= IC_OBSOLETE_1)

//
//
//  Block of obsolete function for obsolete level 1
//
//
/*------------------------------------------------------------------------------
| IMultiLineEdit::removeChangedFlag                                            |
|                                                                              |
| Reset the changed flag to indicate no changes have been made.                |
------------------------------------------------------------------------------*/
IMultiLineEdit& IMultiLineEdit :: removeChangedFlag ( )
{
  return this->resetChangedFlag();
}

/*------------------------------------------------------------------------------
| IMultiLineEdit::disableRefresh                                               |
|                                                                              |
| Disable screen refreshes.                                                    |
------------------------------------------------------------------------------*/
IMultiLineEdit& IMultiLineEdit :: disableRefresh ( )
{
  return this->disableUpdate();
}

/*------------------------------------------------------------------------------
| IMultiLineEdit::enableRefresh                                                |
------------------------------------------------------------------------------*/
IMultiLineEdit& IMultiLineEdit :: enableRefresh ( IBase::Boolean update )
{
  return this->enableUpdate( update );
}

/*------------------------------------------------------------------------------
| IMultiLineEdit::setCursorAtLine                                              |
|                                                                              |
| Position the cursor on the line specified.                                   |
------------------------------------------------------------------------------*/
IMultiLineEdit& IMultiLineEdit::setCursorAtLine( unsigned long lLineNumber )
{
   return this->setCursorLinePosition( lLineNumber );
}

/*------------------------------------------------------------------------------
| IMultiLineEdit::setCursorAt                                                  |
|                                                                              |
| Position the cursor on the character specified.                              |
------------------------------------------------------------------------------*/
IMultiLineEdit& IMultiLineEdit::setCursorAt( unsigned long lCursorChar )
{
   return this->setCursorPosition( lCursorChar );
}

//
//
//  End of obsolete function for obsolete level 1
//
//
#endif
