/*******************************************************************************
* FILE NAME: ibctlob5.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of functions that have been replaced *
*   and are now obsolete.  They have been placed here to provide compatibility *
*   with prior releases.                                                       *
*   This is OS/2 and Windows unique code.                                      *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
extern "C"
  {
  #define INCL_WINSTDSPIN
  #define INCL_WINSYS
  #define INCL_WINBUTTONS
  #define INCL_WINSTDBOOK
  #define INCL_WINDIALOGS           // Needed for PDLGTEMPLATE in BOOKPAGEINFO
  #include <os2.h>
  }

#include <icconst.h>
#include <inotebk.hpp>
#include <icolor.hpp>
#include <iexcept.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IBCTLOB5_CPP_
  #include <ipagetun.h>
#endif

#if (IC_OBSOLETE <= IC_OBSOLETE_1)

//
//
//  Block of obsolete function for obsolete level 1
//
//
/*------------------------------------------------------------------------------
| INoteBook::backgroundPageColor                                               |
|                                                                              |
| Returns the background page color of the notebook.                           |
------------------------------------------------------------------------------*/
IColor INotebook::backgroundPageColor () const
{
  return this->pageBackgroundColor();
}

/*------------------------------------------------------------------------------
| INoteBook::backgroundMajorColor                                              |
|                                                                              |
| Returns the major tab background color.                                      |
------------------------------------------------------------------------------*/
IColor INotebook::backgroundMajorColor () const
{
  return this->majorTabBackgroundColor();
}

/*------------------------------------------------------------------------------
| INoteBook::backgroundMinorColor                                              |
|                                                                              |
| Returns the minor tab background color.                                      |
------------------------------------------------------------------------------*/
IColor INotebook::backgroundMinorColor () const
{
  return this->minorTabBackgroundColor();
}

/*------------------------------------------------------------------------------
| INoteBook::foregroundMajorColor                                              |
|                                                                              |
| Returns the major tab foreground color.                                      |
------------------------------------------------------------------------------*/
IColor INotebook::foregroundMajorColor () const
{
  return this->majorTabForegroundColor();
}

/*------------------------------------------------------------------------------
| INoteBook::foregroundMinorColor                                              |
|                                                                              |
| Returns the minor tab foreground color.                                      |
------------------------------------------------------------------------------*/
IColor INotebook::foregroundMinorColor () const
{
  return this->minorTabForegroundColor();
}

/*------------------------------------------------------------------------------
| INoteBook::setBackgroundPageColor                                            |
|                                                                              |
| Sets the page background color in a notebook.                                |
------------------------------------------------------------------------------*/
INotebook& INotebook::setBackgroundPageColor (const IColor &color)
{
  return this->setPageBackgroundColor(color);
}

/*------------------------------------------------------------------------------
| INoteBook::setBackgroundMajorColor                                           |
|                                                                              |
| Sets the major tab background color.                                         |
------------------------------------------------------------------------------*/
INotebook& INotebook::setBackgroundMajorColor (const IColor &color)
{
  return this->setMajorTabBackgroundColor(color);
}

/*------------------------------------------------------------------------------
| INoteBook::setBackgroundMinorColor                                           |
|                                                                              |
| Sets the minor tab background color.                                         |
------------------------------------------------------------------------------*/
INotebook& INotebook::setBackgroundMinorColor (const IColor &color)
{
  return this->setMinorTabBackgroundColor(color);
}

/*------------------------------------------------------------------------------
| INoteBook::setForegroundMajorColor                                           |
|                                                                              |
| Sets the major tab foreground color.                                         |
------------------------------------------------------------------------------*/
INotebook& INotebook::setForegroundMajorColor (const IColor &color)
{
  return this->setMajorTabForegroundColor(color);
}

/*------------------------------------------------------------------------------
| INoteBook::setForegroundMinorColor                                           |
|                                                                              |
| Sets the minor tab foreground color.                                         |
------------------------------------------------------------------------------*/
INotebook& INotebook::setForegroundMinorColor (const IColor &color)
{
  return this->setMinorTabForegroundColor(color);
}

//
//
//  End of obsolete function for obsolete level 1
//
//

#endif
