/*******************************************************************************
* FILE NAME: icollvwi.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of classes/functions declared        *
*   in icollvwi.hpp.                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
extern "C"
{
  #define INCL_WINLISTBOXES      // LIT_xxx, LM_xxx, LS_xxx
  #include <iwindefs.h>
}

#include <icollvwi.hpp>

#ifdef IC_PAGETUNE
  #define _ICOLLVWI_CPP_
  #include <ipagetun.h>
#endif

/***************************************************************/
/* Static constants for use by template implementation         */
/***************************************************************/
#pragma data_seg(ICLStaticConst)

const unsigned long
  ICollectionViewConstants::listError         =  LIT_ERROR,
  ICollectionViewConstants::listNone          =  LIT_NONE,
  ICollectionViewConstants::listMemoryError   =  LIT_MEMERROR,
  ICollectionViewConstants::listEnd           =  LIT_END,
  ICollectionViewConstants::listInsert        =  LM_INSERTITEM,
  ICollectionViewConstants::listDelete        =  LM_DELETEITEM,
  ICollectionViewConstants::listDeleteAll     =  LM_DELETEALL;

#pragma data_seg()
