/*******************************************************************************
* FILE NAME: icritsec.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Implementation of the class(es):                                           *
*     ICritSec                                                                 *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

extern "C" {
  #define INCL_DOSPROCESS
  #include <iwindefs.h>
}

#include <icritsec.hpp>

#ifndef _ITRACE_
  #include <itrace.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _ICRITSEC_CPP_
  #include <ipagetun.h>
#endif

// Define static members.
unsigned long
  ICritSec :: count = 0;


/*------------------------------------------------------------------------------
| ICritSec::ICritSec                                                           |
|                                                                              |
| Issue DosEnterCritSec and increment count.                                   |
------------------------------------------------------------------------------*/
ICritSec :: ICritSec ( )
                    : fCritSecData( 0 )
{
  DosEnterCritSec();
  ICritSec::count++;
  }

/*------------------------------------------------------------------------------
| ICritSec::~ICritSec                                                          |
|                                                                              |
| Issue DosExitCritSec and decrement count.                                    |
------------------------------------------------------------------------------*/
ICritSec :: ~ICritSec ( )
  {
  DosExitCritSec();
  ICritSec::count--;
  }
