/*******************************************************************************
* FILE NAME: idievt.cpp                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of classes/functions declared        *
*   in idievt.hpp.                                                             *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#define INCL_WINMENUS
extern "C" {
   #include <iwindefs.h>
}

#include <idievt.hpp>
#if !defined( _IRECT_ )
  #include <irect.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IDIEVT_CPP_
  #include <ipagetun.h>
#endif


/*------------------------------------------------------------------------------
| IDrawItemEvent::IDrawItemEvent                                               |
------------------------------------------------------------------------------*/
IDrawItemEvent :: IDrawItemEvent(const IEvent& evt)
  : IDrawItemEvent::Inherited(evt)
{
   pvOwnerItem = (void*)evt.parameter2();
};

/*------------------------------------------------------------------------------
| IDrawItemEvent::~IDrawItemEvent                                              |
------------------------------------------------------------------------------*/
IDrawItemEvent :: ~IDrawItemEvent ( ) {}


/*------------------------------------------------------------------------------
| IDrawItemEvent::itemPresSpaceHandle                                          |
------------------------------------------------------------------------------*/
IPresSpaceHandle IDrawItemEvent::itemPresSpaceHandle() const
{
   return IPresSpaceHandle(((POWNERITEM)pvOwnerItem)->hps);
}

/*------------------------------------------------------------------------------
| IDrawItemEvent::itemId                                                       |
------------------------------------------------------------------------------*/
unsigned long IDrawItemEvent::itemId() const
{
   return ((POWNERITEM)pvOwnerItem)->idItem;
}

/*------------------------------------------------------------------------------
| IDrawItemEvent::itemRect                                                     |
------------------------------------------------------------------------------*/
IRectangle IDrawItemEvent:: itemRect() const
{
   POWNERITEM poi = (POWNERITEM)pvOwnerItem;
   return IRectangle(poi->rclItem.xLeft, poi->rclItem.yBottom,
                     poi->rclItem.xRight, poi->rclItem.yTop);
}
