/*******************************************************************************
* FILE NAME: ifonthdr.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes declared in ifonthdr.hpp                                              *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#define INCL_WINMESSAGEMGR
#define INCL_WINSTDFONT
#define INCL_WINWINDOWMGR
extern "C" {
   #include <os2.h>
}

#ifndef _IPMEXSTA_
  #include <ipmexsta.hpp>
#endif

#ifndef _IFONTHDR_
  #include <ifonthdr.hpp>
#endif
#ifndef _IFONTDLG_
  #include <ifontdlg.hpp>
#endif
#ifndef _IFONT_
  #include <ifont.hpp>
#endif
#ifndef _IEVENT_
  #include <ievent.hpp>
#endif
#ifndef _IHANDLE_
  #include <ihandle.hpp>
#endif
#ifndef _ISTRING_
  #include <istring.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IFONTHDR_CPP_
  #include <ipagetun.h>
#endif

/*------------------------------------------------------------------------------
| IFontDialogHandler::IFontDialogHandler                                      |
------------------------------------------------------------------------------*/
IFontDialogHandler::IFontDialogHandler() {}

/*------------------------------------------------------------------------------
| IFontDialogHandler::~IFontDialogHandler                                      |
------------------------------------------------------------------------------*/
IFontDialogHandler::~IFontDialogHandler() {}


/*------------------------------------------------------------------------------
| IFontDialogHandler::dispatchHandlerEvent                                     |
------------------------------------------------------------------------------*/
Boolean IFontDialogHandler::dispatchHandlerEvent(IEvent& evt)
{
   switch (evt.eventId()) {
    case WM_DESTROY:
    {

         FONTDLG* pfontData = (FONTDLG*)WinQueryWindowPtr(evt.handle(), QWL_USER);
         IFontDialog* pfontdlg = (IFontDialog*)pfontData->ulUser;

         if (pfontdlg != (IFontDialog*)0) {

            // Even If dialog was cancelled still want to call modelessResults
               if (pfontdlg->isModeless())
                  modelessResults(pfontdlg);
         }
    }
   } /* endswitch */

   evt.setResult(IEventResult(false));
   return false;
}

/*------------------------------------------------------------------------------
| IFontDialogHandler::modelessResults                                          |
------------------------------------------------------------------------------*/
Boolean IFontDialogHandler :: modelessResults(IFontDialog* endingDialog)
{
   return true;
}
