/*******************************************************************************
* FILE NAME: iinfoa1.cpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the initialization of static strings used in the        *
*   IInfoArea class.                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// Priority INT_MIN (-2147483647 - 1) + 1024 + 512
#pragma priority( -2147482112 )

extern "C" {
   #include <iwindefs.h>
}

#ifndef _INOTIFY_
  #include <inotify.hpp>
#endif

#ifndef _IINFOA_
  #include <iinfoa.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IINFOA1_CPP_
  #include <ipagetun.h>
#endif

// Initialize static objects and notification strings.
#pragma data_seg(ICLStaticConst)
INotificationId const IInfoArea::inactiveTextId = "IInfoArea::inactiveText";
INotificationId const IInfoArea::disabledTextId = "IInfoArea::disabledText";
INotificationId const IInfoArea::missingTextId  = "IInfoArea::missingText";
INotificationId const IInfoArea::resourceLibraryId
                                          = "IInfoArea::resourceLibrary";
#pragma data_seg()
