/*******************************************************************************
* FILE NAME: ikey.cpp                                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of classes/functions declared        *
*   in ikey.hpp.                                                               *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
// Priority INT_MIN (-2147483647 - 1) + 1024 + 512
#pragma priority( -2147482112 )

extern "C" {
  #define INCL_WININPUT                 // For VK_xxx.
  #include <iwindefs.h>
  }

#include <ikey.hpp>

// Segment definitions.
#ifdef IC_PAGETUNE
  #define _IKEY_CPP_
  #include <ipagetun.h>
#endif

#pragma data_seg(ICLStaticConst)
const IKey::KeyModifier
  IKey::ctrl       ( 0, 1 ),
  IKey::alt        ( 0, 2 ),
  IKey::shift      ( 0, 4 ),
  IKey::noModifier ( 0, 8 );

const IKey::VirtualKey
  IKey::kEsc        ( VK_ESC ),
  IKey::kTab        ( VK_TAB ),
  IKey::kBackTab    ( VK_BACKTAB ),
  IKey::kSpace      ( VK_SPACE ),
  IKey::kBackSpace  ( VK_BACKSPACE ),
  IKey::kEnter      ( VK_ENTER ),
  IKey::kNewLine    ( VK_NEWLINE ),
  IKey::kAlt        ( VK_ALT ),
  IKey::kCtrl       ( VK_CTRL ),
  IKey::kShift      ( VK_SHIFT ),
  IKey::kAltGraf    ( VK_ALTGRAF ),
  IKey::kInsert     ( VK_INSERT ),
  IKey::kDelete     ( VK_DELETE ),
  IKey::kHome       ( VK_HOME ),
  IKey::kEnd        ( VK_END ),
  IKey::kPageUp     ( VK_PAGEUP ),
  IKey::kPageDown   ( VK_PAGEDOWN ),
  IKey::kLeft       ( VK_LEFT ),
  IKey::kRight      ( VK_RIGHT ),
  IKey::kUp         ( VK_UP ),
  IKey::kDown       ( VK_DOWN ),
  IKey::kCapsLock   ( VK_CAPSLOCK ),
  IKey::kNumLock    ( VK_NUMLOCK ),
  IKey::kScrollLock ( VK_SCRLLOCK ),
  IKey::kPause      ( VK_PAUSE ),
  IKey::kBreak      ( VK_BREAK ),
  IKey::kSysRq      ( VK_SYSRQ ),
  IKey::kF1         ( VK_F1 ),
  IKey::kF2         ( VK_F2 ),
  IKey::kF3         ( VK_F3 ),
  IKey::kF4         ( VK_F4 ),
  IKey::kF5         ( VK_F5 ),
  IKey::kF6         ( VK_F6 ),
  IKey::kF7         ( VK_F7 ),
  IKey::kF8         ( VK_F8 ),
  IKey::kF9         ( VK_F9 ),
  IKey::kF10        ( VK_F10 ),
  IKey::kF11        ( VK_F11 ),
  IKey::kF12        ( VK_F12 ),
  IKey::kF13        ( VK_F13 ),
  IKey::kF14        ( VK_F14 ),
  IKey::kF15        ( VK_F15 ),
  IKey::kF16        ( VK_F16 ),
  IKey::kF17        ( VK_F17 ),
  IKey::kF18        ( VK_F18 ),
  IKey::kF19        ( VK_F19 ),
  IKey::kF20        ( VK_F20 ),
  IKey::kF21        ( VK_F21 ),
  IKey::kF22        ( VK_F22 ),
  IKey::kF23        ( VK_F23 ),
  IKey::kF24        ( VK_F24 ),
  IKey::kNoKey      ( 0 );
#pragma data_seg()
