/*******************************************************************************
* FILE NAME: imndievt.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the implementation of classes/functions declared        *
*   in imndievt.hpp.                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
extern "C"
  {
  #include <stdio.h>
  #define INCL_WINMENUS
  #include <iwindefs.h>
  }

#include <imndievt.hpp>
#include <irect.hpp>

// Segment definitions
#ifdef IC_PAGETUNE
  #define _IMNDIEVT_CPP_
  #include <ipagetun.h>
#endif

  #define OIDATA ((POWNERITEM)ownerItemData())

/*------------------------------------------------------------------------------
| IMenuDrawItemEvent::IMenuDrawItemEvent                                       |
------------------------------------------------------------------------------*/
IMenuDrawItemEvent::IMenuDrawItemEvent( IEvent& evt )
  : IMenuDrawItemEvent::Inherited(evt)
{ }

/*------------------------------------------------------------------------------
| IMenuDrawItemEvent::~IMenuDrawItemEvent                                      |
------------------------------------------------------------------------------*/
IMenuDrawItemEvent::~IMenuDrawItemEvent( )
{ }

/*------------------------------------------------------------------------------
| IMenuDrawItemEvent::isDrawItem                                               |
------------------------------------------------------------------------------*/
Boolean IMenuDrawItemEvent::isDrawItem() const
{
   return (OIDATA->fsAttribute ==
           OIDATA->fsAttributeOld) ? true : false;
}

/*------------------------------------------------------------------------------
| IMenuDrawItemEvent::isSetHighlight                                           |
------------------------------------------------------------------------------*/
Boolean IMenuDrawItemEvent::isSetHighlight() const
{
   return ( (OIDATA->fsAttribute != OIDATA->fsAttributeOld) &&
            (OIDATA->fsAttribute & MIA_HILITED) ) ?
      true : false;
}

/*------------------------------------------------------------------------------
| IMenuDrawItemEvent::isRemoveHighlight                                        |
------------------------------------------------------------------------------*/
Boolean IMenuDrawItemEvent::isRemoveHighlight() const
{
   return ( (OIDATA->fsAttribute != OIDATA->fsAttributeOld) &&
            !(OIDATA->fsAttribute & MIA_HILITED) ) ?
      true : false;
}

/*------------------------------------------------------------------------------
| IMenuDrawItemEvent::isSelected                                               |
------------------------------------------------------------------------------*/
Boolean IMenuDrawItemEvent::isSelected() const
{
   return (OIDATA->fsAttribute & MIA_FRAMED) ? true : false;
}

/*------------------------------------------------------------------------------
| IMenuDrawItemEvent::isChecked                                                |
------------------------------------------------------------------------------*/
Boolean IMenuDrawItemEvent::isChecked() const
{
   return (OIDATA->fsAttribute & MIA_CHECKED) ? true : false;
}

/*------------------------------------------------------------------------------
| IMenuDrawItemEvent::isDisabled                                               |
------------------------------------------------------------------------------*/
Boolean IMenuDrawItemEvent::isDisabled() const
{
   return (OIDATA->fsAttribute & MIA_DISABLED) ? true : false;
}
