/*******************************************************************************
* FILE NAME: inbdievt.cpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Implementation of the class(es):                                           *
*     INotebookDrawItemEvent                                                   *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
extern "C" {
  #define INCL_WINMENUS             // for POWNERITEM
  #include <iwindefs.h>
}

#ifndef _INBDIEVT_
  #include <inbdievt.hpp>
#endif

#ifndef _ICCONST_
  #include <icconst.h>
#endif
#ifndef _IEXCEPT_
  #include <iexcept.hpp>
#endif
#ifndef _INOTEBK_
  #include <inotebk.hpp>
#endif

// Segment definitions
#ifdef IC_PAGETUNE
  #define _INBDIEVT_CPP_
  #include <ipagetun.h>
#endif

/*------------------------------------------------------------------------------
| INotebookDrawItemEvent::INotebookDrawItemEvent                               |
------------------------------------------------------------------------------*/
INotebookDrawItemEvent :: INotebookDrawItemEvent ( IEvent& evt )
  : INotebookDrawItemEvent::Inherited(evt) {;}

/*------------------------------------------------------------------------------
| INotebookDrawItemEvent::~INotebookDrawItemEvent                              |
------------------------------------------------------------------------------*/
INotebookDrawItemEvent :: ~INotebookDrawItemEvent ( )  {;}

/*------------------------------------------------------------------------------
| INotebookDrawItemEvent::page                                                 |
------------------------------------------------------------------------------*/
IPageHandle  INotebookDrawItemEvent :: page ( ) const
{
   return IPageHandle(this->itemId());
}


/*------------------------------------------------------------------------------
| INotebookDrawItemEvent::itemId                                               |
------------------------------------------------------------------------------*/
unsigned long  INotebookDrawItemEvent :: itemId ( ) const
{
   return ((POWNERITEM)ownerItemData())->hItem;
}
