/*******************************************************************************
* DEBUGBLD.CMD This is the program that drives the build of the IBM Open       *
* Class Library Source Code Product (Program 30H1667).                         *
*******************************************************************************/

n = SETLOCAL() 
dirs = 'cppoob3 cppoou3 cppood3 cppoom3 cppoor3u'
curdir = directory()
'set include='||curDir||'\include;%include%'
'set lib='||curDir||'\cppoob3;'||curDir||'\cppoou3;%lib%'
'set path='||curDir||'\include;%path%'
do i=1 to words(dirs)
  newDir = translate(word(dirs,i))
  if directory(newDir) = '' then
    do
       say 'Can''t change directory to' newDir'.'
       signal halt
    end
  else if newDir='CPPOOR3U' then
      do
        say ' Building the resource dll and message file.'
        'nmake'
        'mkmsgf cppooc3u.txt ..\dll\cppooc3u.msg /P850'
      end
    else do
      impLibFile=newDir'I.LIB'
      defFile=newDir'.DEF'
      rspFile=newDir'.RSP'
      if newDir='CPPOOB3' then do
        say 'Building the Application Support dll.'
        'copy ..\include\I0STRING.INL n*.cpp'
        'copy ..\include\IBHANDLE.INL n*.cpp'
        'copy ..\include\IBUFFER.INL n*.cpp'
        'copy ..\include\IBUFFER.INL n*.cpp'
        'copy ..\include\IBUFFERN.INL n*.cpp'
        'copy ..\include\IDATE.INL n*.cpp'
        'copy ..\include\IDBCSBUF.INL n*.cpp'
        'copy ..\include\IEVTDATA.INL n*.cpp'
        'copy ..\include\INOTIFEV.INL n*.cpp'
        'copy ..\include\IPOINT.INL n*.cpp'
        'copy ..\include\IRECT.INL n*.cpp'
        'copy ..\include\IRESLOCK.INL n*.cpp'
        'copy ..\include\ISTRING.INL n*.cpp'
        'copy ..\include\ISTRTEST.INL n*.cpp'
        'copy ..\include\ITIME.INL n*.cpp'
        'copy ..\include\ITRACE.INL n*.cpp'
      end
      else if newDir='CPPOOU3' then do
        say 'Building the User Interface dll.'
        'copy ..\include\IACCEL.INL         n*.cpp'
        'copy ..\include\IBITFLAG.INL       n*.cpp'
        'copy ..\include\IBMPDATA.INL       n*.cpp'
        'copy ..\include\ICANVAS.INL        n*.cpp'
        'copy ..\include\ICMDEVT.INL        n*.cpp'
        'copy ..\include\ICNRCOL.INL        n*.cpp'
        'copy ..\include\ICNRCTL.INL        n*.cpp'
        'copy ..\include\ICNREHDR.INL       n*.cpp'
        'copy ..\include\ICNROBJ.INL        n*.cpp'
        'copy ..\include\ICNROBJN.INL       n*.cpp'
        'copy ..\include\ICOLOR.INL         n*.cpp'
        'copy ..\include\ICOORDSY.INL       n*.cpp'
        'copy ..\include\IDIEVT.INL         n*.cpp'
        'copy ..\include\IDMEVENT.INL       n*.cpp'
        'copy ..\include\IDMIMAGE.INL       n*.cpp'
        'copy ..\include\IDMITEM.INL        n*.cpp'
        'copy ..\include\IDMOPER.INL        n*.cpp'
        'copy ..\include\IEVENT.INL         n*.cpp'
        'copy ..\include\IEVTPRIV.INL       n*.cpp'
        'copy ..\include\IFILEDLG.INL       n*.cpp'
        'copy ..\include\IFONTDLG.INL       n*.cpp'
        'copy ..\include\IFRAMEVT.INL       n*.cpp'
        'copy ..\include\IFRAMEXT.INL       n*.cpp'
        'copy ..\include\IGBUNDLE.INL       n*.cpp'
        'copy ..\include\IHANDLE.INL        n*.cpp'
        'copy ..\include\IHANDLER.INL       n*.cpp'
        'copy ..\include\IKEYEVT.INL        n*.cpp'
        'copy ..\include\IMENU.INL          n*.cpp'
        'copy ..\include\IMENUBAR.INL       n*.cpp'
        'copy ..\include\IMNITEM.INL        n*.cpp'
        'copy ..\include\IMSGHLPI.INL       n*.cpp'
        'copy ..\include\INOTEBK.INL        n*.cpp'
        'copy ..\include\IPAINEVT.INL       n*.cpp'
        'copy ..\include\IPOPMENU.INL       n*.cpp'
        'copy ..\include\IRESLIB.INL        n*.cpp'
        'copy ..\include\ISCROLL.INL        n*.cpp'
        'copy ..\include\ISETCV.INL         n*.cpp'
        'copy ..\include\ISETCVOB.INL       n*.cpp'
        'copy ..\include\ISLIDER.INL        n*.cpp'
        'copy ..\include\ISPINNUM.INL       n*.cpp'
        'copy ..\include\ISPINTXT.INL       n*.cpp'
        'copy ..\include\ISPLITCV.INL       n*.cpp'
        'copy ..\include\ISTATTXT.INL       n*.cpp'
        'copy ..\include\ISWP.INL           n*.cpp'
        'copy ..\include\ITHREAD.INL        n*.cpp'
        'copy ..\include\IVPORT.INL         n*.cpp'
        'copy ..\include\IWINDOW.INL        n*.cpp'
        'copy ..\include\IWINPRIV.INL       n*.cpp'
        'copy ..\include\IWPOSBUF.INL       n*.cpp' 
      end  /* Do */
      else if newDir='CPPOOM3' then do                 
        say 'Building the Multimedia dll.'
        'copy ..\include\IMMTIME.INL n*.cpp'         
      end                                            
      else if newDir='CPPOOD3' then do                 
        say 'Building the Dynamic Data Exchange dll.'
        'copy ..\include\IDDECCNV.INL n*.cpp'        
        'copy ..\include\IDDECSET.INL n*.cpp'        
        'copy ..\include\IDDEEVT.INL n*.cpp'         
        'copy ..\include\IDDETSRV.INL n*.cpp'        
      end
      'nmake' 
      'icc @'rspFile
      'IMPLIB /NOI' ImpLibFile DefFile
       call directory("..")
     end /* if cppoor3u */
end /* do dirs */
n = ENDLOCAL()
exit
