#ifndef _ICMD_
  #define _ICMD_
/*******************************************************************************
* FILE NAME: icmd.hpp                                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ICommand                                                                 *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>


#pragma pack(4)

class ICommand :public IBase {
typedef IBase
  Inherited;
public:
/*------------------------------- Action Type --------------------------------*/
enum ActionType {
  applicationCommand,
  systemCommand,
  help
  };

/*----------------------- Common Application Commands ------------------------*/
typedef unsigned long
  CommandId;
static const CommandId
  kOpenId,             // IC_ID_OPEN
  kSaveId,             // IC_ID_SAVE
  kPrintId,            // IC_ID_PRINT
  kLocateId,           // IC_ID_LOCATE
  kCutId,              // IC_ID_CUT
  kCopyId,             // IC_ID_COPY
  kPasteId,            // IC_ID_PASTE
  kHelpId,             // IC_ID_HELP
  kBoldId,             // IC_ID_BOLD
  kItalicId,           // IC_ID_ITALIC
  kUnderscoreId,       // IC_ID_UNDERSCORE
  kSettingsId,         // IC_ID_SETTINGS
  kCopyToId,           // IC_ID_COPYTO
  kOkId,               // IC_ID_OK
  kCancelId,           // IC_ID_CANCEL
  kFileOkId,           // IC_ID_FILEOK
  kFileCancelId,       // IC_ID_FILECANCEL
  kFileApplyId,        // IC_ID_FILEAPPLY
  kFontOkId,           // IC_ID_FONTOK
  kFontCancelId,       // IC_ID_FONTCANCEL
  kFontApplyId,        // IC_ID_FONTAPPLY
  kNewId,              // IC_ID_NEW
  kSaveAsId,           // IC_ID_SAVE_AS
  kExitId,             // IC_ID_EXIT
  kUpdateId,           // IC_ID_UPDATE
  kSaveCopyAsId,       // IC_ID_SAVE_COPY_AS
  kUndoId,             // IC_ID_UNDO
  kPasteSpecialId,     // IC_ID_PASTESPECIAL
  kPasteLinkId,        // IC_ID_PASTELINK
  kSelectAllId,        // IC_ID_SELECTALL
  kInsertId,           // IC_ID_INSERT
  kEditLinksId,        // IC_ID_EDITLINKS
  kDeleteId,           // IC_ID_DELETE
  kConvertId,          // IC_ID_CONVERT
  kViewToolbarId,      // IC_ID_TOOLBAR
  kAboutId;            // IC_ID_ABOUT

/*-------------------------- Common System Commands --------------------------*/
static const CommandId
  kCloseId,            // IC_ID_CLOSE
  kMoveId,             // IC_ID_MOVE
  kSizeId,             // IC_ID_SIZE
  kMinimizeId,         // IC_ID_MINIMIZE
  kMaximizeId,         // IC_ID_MAXIMIZE
  kHideId,             // IC_ID_SYSHIDE
  kRestoreId,          // IC_ID_RESTORE
  kWindowListId;       // IC_ID_WINDOWLIST

private:
/*------------------------------ Hidden Members ------------------------------*/
  ICommand   ( );
  ICommand   ( const ICommand& command );
ICommand
 &operator = ( const ICommand& command );
};  // ICommand

#pragma pack()

#endif /* _ICMD_ */
