/* NOSHIP */
#ifndef _IDMWIN_
#define _IDMWIN_
/*******************************************************************************
* FILE NAME: idmwin.hpp                                                        *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the declarations of the items that must be              *
*   exported in order to compile the template instantiation for idmwin.cpp.    *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>

class IDMItemProvider;
class IWindow;
class IPrivateResource;
class IDMProviderList;

#pragma pack(4)

struct Assoc {
  IDMItemProvider
   *provider;
  const IWindow
   *window;
};

inline const IWindow * const &key ( Assoc const &assoc )
{
  return assoc.window;
}

class IProviderStatics : public IBase
{
public:
 ~IProviderStatics          ( );

static IDMProviderList
 &providerList              ( );

static IPrivateResource
 &libraryKey                ( );

static IDMProviderList
 *pProviders;

static IPrivateResource
 *pLibKey;
};

#pragma pack()

#endif
