/* NOSHIP */
#ifndef _IEVTPRIV_
#define _IEVTPRIV_
/*******************************************************************************
* FILE NAME: ievtpriv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of classes that are private to the       *
*   implementation of IEvent.                                                  *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <iwinlsts.hpp>

#pragma pack(4)

class IEventPrivateData : public IBase {
typedef IBase
  Inherited;
/***************************************************************************/
/* Objects of IEventPrivateData contain private data for the IEvent class. */
/***************************************************************************/
public:
  IEventPrivateData();
  ~IEventPrivateData();

IEventPrivateData
  &setHandlerCursor(IHandlerList::Cursor* cursor),
  &setHandlerList(IHandlerList* handlerList);

IHandlerList::Cursor
  *handlerCursor() const;

IHandlerList
  *handlerList() const;

private:
/*--------------------------------- Private ----------------------------------*/
IHandlerList::Cursor
  *fCursor;
IHandlerList
  *fHandlerList;
};

#pragma pack()

/*----------------------------- Inline Functions -----------------------------*/
#ifndef I_NO_INLINES
  #include <ievtpriv.inl>
#endif

#endif
