/* NOSHIP */
#ifndef _IFRAMPRV_
  #define _IFRAMPRV_
/*******************************************************************************
* FILE NAME: iframprv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IFrameWindowData                                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <ihandle.hpp>
#include <irect.hpp>

class IFrameExtensions;
class IToolBarList;

#pragma pack(4)

class IFrameWindowData : public IBase {
public:
  IFrameWindowData ( Boolean flags );
virtual
 ~IFrameWindowData ( );

IFrameExtensions
 *pExtensions;
unsigned
  flags;
unsigned long
  rc;
IPointerHandle
  frameIcon;
IPointerHandle
  mousePtr;
IToolBarList
 *toolBarList;
void
 *fpHelpList;

Boolean
  disableBidiChildUpdate;

static const unsigned
  destroyOnClose,
  hasDefaultHandler,
  modal,
  needsUpdating,
  fromDlgTemplate,
  standardFrame,
  hasBeenClosed,
  modalAutoDelete;      // Support auto-delete object for modal frames.
}; // class IFrameWindowData

#pragma pack()

#endif // _IFRAMPRV_
