/* NOSHIP */
#ifndef _IHELPSTA_
#define _IHELPSTA_
/*******************************************************************************
* FILE NAME: ihelpsta.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the declaration(s) of the IHelpStatics class, which     *
*   is used to dynamically load helpmgr.dll.                                   *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <ihandle.hpp>

#pragma pack(4)

class IDynamicLinkLibrary;

typedef unsigned long
     (_System  ICreateInstance)( IAnchorBlockHandle, void * );

typedef Boolean
     (_System  IAssocInstance)( IWindowHandle, IWindowHandle );

typedef unsigned long
     (_System  IQueryInstance)( IWindowHandle );

typedef Boolean
     (_System  IDestroyInstance)( IWindowHandle );

typedef Boolean
     (_System  ILoadHelpTable)( IWindowHandle, unsigned long, IModuleHandle );

class IHelpStatics : public IBase
{
public:
 ~IHelpStatics          ( );

static IDynamicLinkLibrary
 &helpDLL               ( );
static IWindowHandle
  createHelpInstance    ( const IAnchorBlockHandle& hab,
                          void* helpstruct ),
  queryHelpInstance     ( const IWindowHandle& windowHandle );

static Boolean
  associateHelpInstance ( const IWindowHandle& helpHandle,
                          const IWindowHandle& activeWindowHandle ),
  destroyHelpInstance   ( const IWindowHandle& helpHandle ),
  loadHelpTable         ( const IWindowHandle& helpHandle,
                          unsigned long id,
                          const IModuleHandle& hmod );

static ICreateInstance
 *entryCreate;
static IAssocInstance
 *entryAssoc;
static IQueryInstance
 *entryQuery;
static IDestroyInstance
 *entryDestroy;
static ILoadHelpTable
 *entryLoadHelpTable;

static IDynamicLinkLibrary
 *helpDynLinkLib;
};

#pragma pack()

#endif // _IHELPSTA_
