#ifndef _IKEY_
  #define _IKEY_
/*******************************************************************************
* FILE NAME: ikey.hpp                                                          *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IKey                                                                     *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1996       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <ibitflag.hpp>


#pragma pack(4)

class IKey : public IBase {
typedef IBase
  Inherited;
public:
/*------------------------------ Key Modifiers -------------------------------*/
INESTEDBITFLAGCLASSDEF0( KeyModifier, IKey );
static const KeyModifier
  ctrl,
  alt,
  shift,
  noModifier;

/*------------------------------- Virtual Keys -------------------------------*/
typedef unsigned long
  VirtualKey;
static const VirtualKey
  kEsc,
  kTab,
  kBackTab,
  kSpace,
  kBackSpace,
  kEnter,
  kNewLine,
  kAlt,
  kCtrl,
  kShift,
  kAltGraf,
  kInsert,
  kDelete,
  kHome,
  kEnd,
  kPageUp,
  kPageDown,
  kLeft,
  kRight,
  kUp,
  kDown,
  kCapsLock,
  kNumLock,
  kScrollLock,
  kPause,
  kBreak,
  kSysRq,
  kF1,
  kF2,
  kF3,
  kF4,
  kF5,
  kF6,
  kF7,
  kF8,
  kF9,
  kF10,
  kF11,
  kF12,
  kF13,
  kF14,
  kF15,
  kF16,
  kF17,
  kF18,
  kF19,
  kF20,
  kF21,
  kF22,
  kF23,
  kF24,
  kNoKey;

private:
/*------------------------------ Hidden Members ------------------------------*/
  IKey       ( );
  IKey       ( const IKey& key );
IKey
 &operator = ( const IKey& key );
};  // IKey

#pragma pack()

#endif /* _IKEY_ */
