/* NOSHIP */
#ifndef _IMENUPRV_
#define _IMENUPRV_
/*******************************************************************************
* FILE NAME: imenuprv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of classes that are private              *
*   to the implementation of IMenu and its derived classes.                    *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1996             *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <iframe.hpp>

#pragma pack(4)

/*--------------------------------------------------------------------*/
/* Help lookup table layout (in support of help per menuitem)         */
/*--------------------------------------------------------------------*/
typedef struct _mihTable  {  /* mihtbl */
  unsigned long     fId;                 /* Menu item id to map       */
  unsigned long     fHelpId;             /* Menu handle to map id to  */
  struct _mihTable* pmitNext;            /* Ptr to next table entry   */
} MIHELPTBL;

class IMenuPrivate : public IBase {
typedef IBase
  Inherited;
public:
 ~IMenuPrivate( );

static void
  setMenuItemHelpId    ( IFrameWindow*  owner,
                         unsigned long  menuItemId,
                         unsigned long  helpTopicId ),
  deleteHelpIdTable    ( IFrameWindow*  owner );
static unsigned long
  queryMenuItemHelpId  ( IFrameWindow*  owner,
                         unsigned long  menuItemId );
private:
  IMenuPrivate( );

}; // IMenuPrivate

#pragma pack()

#endif  /* _IMENUPRV_ */

