/* NOSHIP */
#ifndef _IMMCDHDR_
   #define _IMMCDHDR_
/*******************************************************************************
* FILE NAME: immremhd.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IMMAudioCDHandler                                                        *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <immremhd.hpp>

class IMMAudioCD;

#pragma pack(4)


class IMMAudioCDHandler : public IMMRemovableMediaHandler {
typedef IMMRemovableMediaHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  IMMAudioCDHandler();
virtual
  ~IMMAudioCDHandler();

/*---------------------------- Device Attachment -----------------------------*/
virtual IMMAudioCDHandler
  &handleEventsFor       ( IMMAudioCD* device );

/*-------------------------------- Event Processing --------------------------*/
virtual Boolean
  passDevice      (const IMMPassDeviceEvent& event);

protected:
/*----------------------------- Notification ---------------------------------*/
virtual Boolean
  dispatchHandlerEvent    (IEvent& event);

/*----------------------------- Implementaion --------------------------------*/
virtual IMMAudioCDHandler
  &mediaLoaded       (),
  &mediaUnloaded     ();

private:
/*--------------------------------- Private ----------------------------------*/
IMMAudioCD*
  fDevice;

/*----------------------------- Hidden Functions -----------------------------*/
virtual IMMAudioCDHandler
 &handleEventsFor( IWindow* window   ),
 &handleEventsFor( IMMRemovableMedia* device),
 &handleEventsFor( IMMDevice* device );

}; // IMMAudioCDHandler


#pragma pack()

#endif /* _IMMCDHDR_ */
