/* NOSHIP */
#ifndef _IMULTSTA_
#define _IMULTSTA_
/*******************************************************************************
* FILE NAME: imultsta.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IMultimediaStatics                                                       *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>
#include <ihandle.hpp>
#include <istring.hpp>

#pragma pack(4)


class IDynamicLinkLibrary;

typedef unsigned long
     (_System  ISendString)( char* , char*, unsigned short,
                             IWindowHandle, unsigned short);
typedef unsigned long
     (_System  ISendCommand)( unsigned short, unsigned short,
                              unsigned long, void*, unsigned short);
typedef unsigned long
     (_System  IGetErrorString)( unsigned long, char*, unsigned short);
typedef Boolean
     (_System  IRegisterCircularSlider)();
typedef Boolean
     (_System  IRegisterGraphicButton)();
typedef Boolean
     (_System  IRegisterSelectionSlider)();

class IMultimediaStatics : public IBase
{
public:
 ~IMultimediaStatics          ( );

static IDynamicLinkLibrary
 &mmpmDLL               ( ),
 &mmctlDLL              ( );

static unsigned long
  getErrorString        ( unsigned long error, IString &buffer,
                          unsigned short bufferLength),
  sendString            ( const IString &command, IString &returnData,
                          unsigned short returnLength,
                          IWindowHandle window, unsigned short userParam),
  sendCommand           ( unsigned short deviceId, unsigned short message,
                          unsigned long param1, void* param2,
                          unsigned short userParam);
static Boolean
  registerCircularSlider  (),
  registerGraphicButton   (),
  registerSelectionSlider ();

static IGetErrorString
  *entryGetErrorString;
static ISendString
  *entrySendString;
static ISendCommand
  *entrySendCommand;
static IRegisterCircularSlider
  *entryRegisterCircularSlider;
static IRegisterGraphicButton
  *entryRegisterGraphicButton;
static IRegisterSelectionSlider
  *entryRegisterSelectionSlider;

static IDynamicLinkLibrary
  *mmpmDynLinkLib,
  *mmctlDynLinkLib;
}; // IMultimediaStatics


#pragma pack()

#endif /* _IMULTSTA_ */
