/* NOSHIP */
#ifndef _IRESSTAT_
#define _IRESSTAT_
/*******************************************************************************
* FILE NAME: iresstat.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declarations of the classes:                                               *
*     IResourceLibrary                                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ibase.hpp>

class IPointerSet;
class IBitmapSet;
class IDLLSet;
class IResourceLibrary;
class IPrivateResource;

#pragma pack(4)

class IResLibStaticPtr {
public:
  ~IResLibStaticPtr ( );

static void
  deletePointerSet ( ),
  deleteBitmapSet  ( );

static void
  deleteDLLSet     ( );

static IPointerSet
 &pointerSet();
static IBitmapSet
 &bitmapSet();

static IDLLSet
 &dllSet();

static IResourceLibrary
 &defaultResource();
static IPrivateResource
 &libraryKey();

static IPointerSet
 *pPtrSet;
static IBitmapSet
 *pBmpSet;

static IDLLSet
 *pDLLSet;

static IResourceLibrary
 *pResDefault;
static IPrivateResource
 *pLibKey;
};


#pragma pack()

#endif // _IRESSTAT_
