/* NOSHIP */
#ifndef _ISPLITCH_
  #define _ISPLITCH_
/*******************************************************************************
* FILE NAME: isplitch.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ISplitCanvasHandler                                                      *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <ihandler.hpp>

#pragma pack(4)

// Forward declarations for other classes:
class IEvent;
class IPresSpaceHandle;
class IRectangle;
class ISplitCanvas;
class ISplitBar;
class ISplitCanvasHandlerData;

class ISplitCanvasHandler : public IHandler {
typedef IHandler
  Inherited;
public:
/*-------------------------- Constructor/Destructor ----------------------------
| The only way to construct instances of this class is by using the            |
| default constructor, which does not take any arguments.                      |
------------------------------------------------------------------------------*/
  ISplitCanvasHandler   ( );
virtual
 ~ISplitCanvasHandler   ( );

/*---------------------------- Window Attachment -------------------------------
| These functions permit attaching and detaching the handler object to/from    |
| a split canvas object:                                                       |
|   handleEventsFor       - Attaches the handler to the specified split canvas |
|                           object.                                            |
|   stopHandlingEventsFor - Detaches the handler from the specified split      |
|                           canvas object.                                     |
------------------------------------------------------------------------------*/
virtual ISplitCanvasHandler
 &handleEventsFor       ( ISplitCanvas* canvas ),
 &stopHandlingEventsFor ( ISplitCanvas* canvas );

protected:
/*-------------------------------- Overrides -----------------------------------
| This class overrides the following protected functions:                      |
|   dispatchHandlerEvent - Processes events as appropriate for a split canvas. |
------------------------------------------------------------------------------*/
virtual Boolean
  dispatchHandlerEvent  ( IEvent& event );

private:
/*--------------------------------- Private ----------------------------------*/
virtual IHandler
 &handleEventsFor       ( IWindow* window  ),
 &stopHandlingEventsFor ( IWindow* window  );

void
  paintSplitBar         ( const ISplitCanvas* canvas,
                          const IPresSpaceHandle& presSpace,
                          const IRectangle& paintArea );

ISplitCanvasHandlerData
 *fSplitCanvasHandlerData;
}; // ISplitCanvasHandler

#pragma pack()

#endif // _ISPLITCH_
