/* NOSHIP */
#ifndef _ITRNPRIV_
#define _ITRNPRIV_
/*******************************************************************************
* FILE NAME: itrnpriv.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ITransformData                                                           *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1995       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/

#include <ibase.hpp>

  static long UNITY = 65536;

#pragma pack(4)

// Forward declarations for other classes:
// class IRelated;

class ITransformData : public IBase {
typedef IBase
  Inherited;
/*******************************************************************************
* Objects of this class are used to represent the private data for the         *
* ITransformMatrix class.                                                      *
*******************************************************************************/
public:
/*----------------------------- Constructors -----------------------------------
| You can construct objects of this class:                                     |
|  1. By the default constructor.  Create the identity matrix.                 |
|  2. From size elements for the matrix.                                       |
|  3. From another private data object.                                        |
------------------------------------------------------------------------------*/
  ITransformData ( );

  ITransformData ( FIXED f11,
                   FIXED f12,
                   FIXED f21,
                   FIXED f22,
                   long l31,
                   long l32 );

  ITransformData ( const ITransformData& tData );

FIXED
  fElement11,
  fElement12,
  fElement21,
  fElement22;
long
  fElement31,
  fElement32;


ITransformData&
  ITransformData::operator=( const ITransformData& transformData );

Boolean
  ITransformData::operator==( const ITransformData& transformData ) const,
  ITransformData::operator!=( const ITransformData& transformData ) const;

}; // ITransformData

#pragma pack()

#endif // _ITRNPRIV_
